KDE 4.2 PyKDE API Reference

- KDE's Python API

# BusyWidget Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

BusyWidget plasma/widgets/spinner.h <Plasma/Widgets/BusyWidget>

A widget that provides a waiting spinner

A simple spinner widget that can be used to represent a wait of unknown length

## Methods

| __init__ (self, QGraphicsWidget parent=0)
| hideEvent (self, QHideEvent event)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget=0)
| resizeEvent (self, QGraphicsSceneResizeEvent event)
| showEvent (self, QShowEvent event)
| timerEvent (self, QTimerEvent event)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsWidget | parent=0
| ) |  |  |

Constructs a new BusyWidget

@arg parent the parent of this widget

hideEvent | ( | self, |
|  | QHideEvent | event
| ) |  |  |

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget=0
| ) |  |  |

resizeEvent | ( | self, |
|  | QGraphicsSceneResizeEvent | event
| ) |  |  |

showEvent | ( | self, |
|  | QShowEvent | event
| ) |  |  |

timerEvent | ( | self, |
|  | QTimerEvent | event
| ) |  |  |